%define snapshot 1

Name: mailutils

%define baseversion 2.1

%if %snapshot
%define snapshotdate 20091105
Version: %baseversion
Release: alt0.%snapshotdate.0.M51.2
%define srcdir %name-%snapshotdate
%else
Version: %baseversion
Release: alt0
%define srcdir %name-%version
%endif

Packager: Sergey Y. Afonin <asy@altlinux.ru>

Summary: GNU Mailutils

Copyright: %gpl3plus

%if %snapshot
Source0:        %name-%version-%snapshotdate.tar.gz
%else
Source0:        %name-%version.tar.gz
%endif

Patch1: mailutils-2.0.90-pkg-config-hack.diff

URL: http://www.gnu.org/software/%{name}/%{name}.html
Group: Networking/Mail

Conflicts: mailx

Provides: /bin/mail

Requires: libmailutils = %{version}-%{release}, guile >= 1.8, libreadline
BuildRequires: rpm-build-licenses

# Automatically added by buildreq on Thu Mar 12 2009
BuildRequires: emacs-X11 flex gcc-c++ guile18-devel libgmp-devel libldap-devel libltdl-devel libncurses-devel libpam-devel libreadline-devel libwrap-devel python-devel

%description
GNU Mailutils contains a series of useful mail clients, servers, and
libraries. These are the primary mail utilities of the GNU system.
This package provides a replacement for /bin/mail(x) conforming to
the UNIX98 specification for mailx. It provides also a mail delivery
agent maidag, and other tools including guimb, dotlock, movemail, frm.

%package -n libmailutils
Summary: GNU Mailutils: mailbox access library.
Copyright: %lgpl3plus
Group: System/Libraries

%description -n libmailutils
The runtime library libmailbox contains various mailbox access
routines and support for a number of mailbox types, such as mbox,
maildir, mh, POP3, and IMAP4. It also supports MIME message
handling, and sending mail via SMTP and /sbin/sendmail.

%package -n libmailutils-devel
Summary: GNU Mailutils: mailbox access development.
Copyright: %lgpl3plus
Requires: libmailutils, libmailutils-sieve
Group: Development/Other

%description -n libmailutils-devel
GNU Mailutils: mailbox access development.

%package -n libmailutils-devel-static
Summary: GNU Mailutils: mailbox access static library development.
Copyright: %lgpl3plus
Requires: libmailutils-devel
Group: Development/Other

%description -n libmailutils-devel-static
GNU Mailutils: mailbox access static library development.

%package doc
Summary: GNU Mailutils: documentation.
Copyright: %fdl
Group: Development/Documentation
BuildArch: noarch

%description doc
API reference for libmailbox and user documentation for the rest of
the GNU Mailutils.

%package pop3d
Summary: GNU Mailutils: POP3 daemon.
Copyright: %gpl3plus
Requires: libmailutils = %{version}-%{release}
Conflicts: courier-imap
Group: System/Servers

%description pop3d
The GNU POP3 daemon. Uses libmailbox to support different styles of
mailboxes.

%package imap4d
Summary: GNU Mailutils: IMAP4 daemon.
Copyright: %gpl3plus
Requires: libmailutils = %{version}-%{release}
Group: System/Servers

%description imap4d
The GNU IMAP4 daemon. Uses libmailbox to support different styles of
mailboxes.

%package sieve
Summary: GNU Mailutils: mail filtering language Sieve.
Copyright: %lgpl3plus
Requires: libmailutils = %{version}-%{release}, libmailutils-sieve = %{version}-%{release}
Group: Networking/Mail

%description sieve
GNU implementation of the mail filtering language Sieve, described in
RFC 3028 and RFC 3431. This packages contains also the Sieve interpreter
and Sieve to Scheme translator and filter.

%package -n libmailutils-sieve
Summary: GNU Mailutils: libraries for mail filtering language Sieve
Copyright: %lgpl3plus
Requires: libmailutils = %{version}-%{release}
Group: System/Libraries

%description -n libmailutils-sieve
The libraries for GNU implementation of the mail filtering language Sieve

%package comsatd
Summary: GNU Mailutils: Comsat daemon.
Copyright: %gpl3plus
Requires: libmailutils = %{version}-%{release}
Group: System/Servers

%description comsatd
GNU Comsatd is the server which receives reports of incoming mail and
notifies users, wishing to get this service. It can be started either
from `inetd.conf' or as a standalone daemon.

%package maidag
Summary: GNU Mailutils: General-purpose Mail Delivery Agent.
Copyright: %gpl3plus
Requires: libmailutils = %{version}-%{release}
Group: System/Servers

%description maidag
The name `maidag' stands for Mail Delivery Agent. It is a
general-purpose MDA offering a rich set of features. It can operate
both in traditional mode, reading the message from its standard input,
and in LMTP mode. Maidag is able to deliver mail to any mailbox
format, supported by GNU Mailutils.

%package guile
Summary: GNU Mailutils: Guile bindings.
Copyright: %gpl3plus
Requires: libmailutils = %{version}-%{release}
Requires: guile >= 1.8
Group: System/Libraries

%description guile
Guile bindings for GNU Mailutils.

%package locales
Summary: National Language files for mailutils
Copyright: %gpl3plus
Group: Networking/Mail
BuildArch: noarch

%description locales
National Language files for mailutils

%package mh
Summary: GNU Mailutils: The Message Handling System.
Copyright: %gpl3plus
Requires: libmailutils = %{version}-%{release}
Requires: emacs-base
Group: Networking/Mail

%description mh
The GNU MH (Message Handling System).

%package -n libmailutils-python
Summary: GNU Mailutils: libraries for integration with Python
Copyright: %lgpl3plus
Requires: libmailutils = %{version}-%{release}
Group: System/Libraries

%description -n libmailutils-python
The libraries for integration with Python

%package -n python-module-mailutils
Summary: GNU Mailutils: Python modules.
Copyright: %gpl3plus
Requires: libmailutils = %{version}-%{release}
Requires: python >= 2.5
Group: Networking/Mail

%description -n python-module-mailutils
Python bindings for GNU Mailutils.

%prep
%if %snapshot
%setup -q -n %name-%version-%snapshotdate
%else
%setup -q
%endif

%patch1 -p0

gzip ChangeLog

%build

#autoreconf -f -i -s

%set_verify_elf_method unresolved=relaxed
%undefine __libtoolize

CFLAGS="-ltinfo"
%configure --enable-mh-utils --with-mh-bindir=%_libexecdir/mu-mh

%make_build

%check

%make check

%install

make install DESTDIR=%buildroot

install -d $RPM_BUILD_ROOT/bin
ln -s ..%_bindir/mail "$RPM_BUILD_ROOT/bin/mail"
pushd $RPM_BUILD_ROOT%_bindir
    ln -s mail Mail
    ln -s mail mailx
popd

pushd $RPM_BUILD_ROOT%_libdir
    NAME1=`ls libguile-mailutils*.so`
    NAME2=`find libmu_scm.so.* -type f`
    ln -sf $NAME2 $NAME1
popd

rm -f $RPM_BUILD_ROOT%python_sitelibdir/mailutils/c_api.a
rm -f $RPM_BUILD_ROOT%python_sitelibdir/mailutils/c_api.la

%find_lang %name

%files -n mailutils
%_bindir/dotlock
%_bindir/frm
%_bindir/from
%_bindir/guimb
%_bindir/mail
%_bindir/mailx
%_bindir/Mail
/bin/mail
%_bindir/messages
%_bindir/mimeview
%_bindir/movemail
%_bindir/readmsg
%_mandir/*/mail*

%files -n libmailutils
%dir %_libdir/mailutils
%_libdir/libmailutils.so.*
%_libdir/mailutils/moderator.so
%_libdir/mailutils/vacation.so
%_libdir/mailutils/pipe.so
%exclude %_libdir/libmu_*.so
%exclude %_libdir/libmu_sieve.so.*
%exclude %_libdir/libmu_py.so.*
%_libdir/libmu*.so.*

%files -n libmailutils-devel
%_includedir/*
%_bindir/mailutils-config
%_datadir/aclocal/mailutils.m4
%_libdir/libmu_argp.a
%_libdir/libmailutils.so
# sieve
%_libdir/libmu_*.so

%files -n libmailutils-devel-static
%_libdir/libmailutils.*a
%_libdir/mailutils/moderator.*a
%_libdir/mailutils/vacation.*a
%_libdir/mailutils/pipe.*a
%exclude %_libdir/libmu_argp.a
%_libdir/libmu*.*a
# sieve
%_libdir/mailutils/list.*a
%_libdir/mailutils/numaddr.*a
%_libdir/mailutils/spamd.*a
%_libdir/mailutils/timestamp.*a

%files doc
%doc AUTHORS COPYING* NEWS README THANKS TODO ChangeLog.gz
%_infodir/*

%files pop3d
%_sbindir/pop3d
%_mandir/*/pop*

%files imap4d
%_sbindir/imap4d
%_mandir/*/imap4d*

%files comsatd
%_sbindir/comsatd

%files maidag
%_sbindir/maidag

%files sieve
%_bindir/sieve

%files -n libmailutils-sieve
%exclude %_libdir/libmu_sieve.so
%_libdir/libmu_sieve.so.*
%_libdir/mailutils/list.so
%_libdir/mailutils/numaddr.so
%_libdir/mailutils/spamd.so
%_libdir/mailutils/timestamp.so

%files guile
#dir #_datadir/guile/site
%dir %_datadir/guile/site/mailutils
%dir %_datadir/guile/site/sieve-modules
%_bindir/sieve.scm
%_datadir/guile/site/mailutils/*.scm
%_datadir/guile/site/mailutils/*.txt
%_datadir/guile/site/sieve-modules/*.scm
%_libdir/libguile-mailutils*.so

%files locales -f %name.lang

%files mh
%dir %_libexecdir/mu-mh
%dir %_datadir/mailutils
%dir %_datadir/mailutils/mh
%_libexecdir/mu-mh/*
%_datadir/mailutils/mh/*
%_datadir/emacs/site-lisp/*

%files -n libmailutils-python
%_libdir/libmu_py.so.*

%files -n python-module-mailutils
%dir %python_sitelibdir/mailutils
%python_sitelibdir/mailutils/c_api.so
%python_sitelibdir/mailutils/*.py*

%changelog
* Sat Feb 20 2010 Sergey Y. Afonin <asy@altlinux.ru> 2.1-alt0.20091105.0.M51.2
- created symlinks (for better exchangeability with the mailx package):
  Mail -> mail
  mailx -> mail

* Mon Nov 23 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.1-alt0.20091105.0.M51.1
- branch 5.1 update

* Thu Nov 19 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.1-alt0.20091105.1
- new snapshot
- separated libmailutils-python

* Tue Oct 20 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.1-alt0.20090928.3
- added missing %%dir in %%files sections

* Mon Oct 19 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.1-alt0.20090928.2
- changed flex-old to flex in BuildRequires
- added %%check section

* Tue Sep 29 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.1-alt0.20090928.1
- new snapshot

* Fri Aug 28 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.0.90-alt0.20090822.1
- new snapshot

* Fri Apr 17 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.0.90-alt0.20090417.1
- new snapshot

* Tue Mar 31 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.0.90-alt0.20090330.1
- new snapshot

* Sat Mar 28 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.0.90-alt0.20090328.1
- new snapshot
- some changes in spec according  mu-aux/mailutils.spec.in

* Wed Mar 25 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.0.90-alt0.20090325.1
- new snapshot (Requires: guile >= 1.8)

* Fri Mar 20 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.0.90-alt0.20090320.1
- new snapshot

* Thu Mar 12 2009 Sergey Y. Afonin <asy@altlinux.ru> 2.0.90-alt0.20090311.1
- new snapshot (libsieve.so renamed to libmu_sieve.so)
- added "Conflicts: courier-imap" to mailutils-pop3d subpackage

* Thu Nov 13 2008 Sergey Y. Afonin <asy@altlinux.ru> 1.9.92-alt0.20081111.2
- removed ldconfig calling due to new rpm

* Wed Nov 12 2008 Sergey Y. Afonin <asy@altlinux.ru> 1.9.92-alt0.20081111.1
- new svn

* Sun Oct 19 2008 Sergey Y. Afonin <asy@altlinux.ru> 1.9.92-alt0.20081019.1
- new svn
- separated mailutils-locales subpackage

* Thu Oct 16 2008 Sergey Y. Afonin <asy@altlinux.ru> 1.9.92-alt0.20081015.1
- new svn
- separated libmailutils-sieve subpackage
- moved *.*a from mailutils-sieve to common libmailutils-devel-static

* Mon Jun 30 2008 Sergey Y. Afonin <asy@altlinux.ru> 1.9.90-alt1.20080617
- new cvs
- fixed version of package (1.2.90 -> 1.9.90)

* Thu Apr 10 2008 Sergey Y. Afonin <asy@altlinux.ru> 1.2.90-alt1.20080408
- new cvs

* Thu Feb 28 2008 Sergey Y. Afonin <asy@altlinux.ru> 1.2-alt1
- new version (License changed to GPL/LGPL v3)

* Wed May 16 2007 Sergey Y. Afonin <asy@altlinux.ru> 1.1-alt1
- new version

* Wed Dec 13 2006 Sergey Y. Afonin <asy@altlinux.ru> 1.0-alt4
- mailutils-1.0-send_mail.patch

* Fri Sep 22 2006 Sergey Y. Afonin <asy@altlinux.ru> 1.0-alt3
- fix: add symlink /usr/bin/mail -> /bin/mail
- fix: Provides: /bin/mail

* Wed Jul 19 2006 Sergey Y. Afonin <asy@altlinux.ru> 1.0-alt2
- fixed autogeneraded BuildRequires:
  guile16-devel guile18 -> guile16-devel guile16
- fixed: added Conflicts: mailx

* Tue Jul 18 2006 Sergey Y. Afonin <asy@altlinux.ru> 1.0-alt1
- First build for Sisyphus
